POLYTYPE_GRGB(3)

NAME
POLYTYPE_GRGB - Polygon rendering mode type Allegro game programming library.

SYNOPSIS
#include <allegro.h>

#define POLYTYPE_GRGB

DESCRIPTION
A gouraud shaded polygon which interpolates RGB triplets rather than a single color. In 256-color modes this uses the global rgb_map table to convert the result to an 8-bit paletted color, so it must only be used after you have set up the RGB mapping table! The colors for each vertex are taken from the `c' value, which is interpreted as a 24-bit RGB triplet (0xFF0000 is red, 0x00FF00 is green, and 0x0000FF is blue).

SEE ALSO
polygon3d(3), rgb_map(3), ex3d(3)